/***************************************************************************
 *            gui.h
 *
 *  Sun Dec 26 16:07:02 2004
 *  Copyright  2004  Ian McIntosh
 *  ian_mcintosh@linuxadvocate.org
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _GUI_H
#define _GUI_H

#ifdef __cplusplus
extern "C"
{
#endif

gboolean gui_init();
void gui_show();
	
void gui_get_foreground_color(GdkColor* pColor);
void gui_set_foreground_color(GdkColor* pColor);

void gui_get_background_color(GdkColor* pColor);
void gui_set_background_color(GdkColor* pColor);

gint gui_get_font_size();
void gui_set_font_size(gint nFontSize);

gboolean gui_get_bold();
gboolean gui_get_italics();
gboolean gui_get_underline();

void gui_set_bold(gboolean bSet);
void gui_set_italics(gboolean bSet);
void gui_set_underline(gboolean bSet);

const gchar* gui_get_example_text();
void gui_set_example_text(gchar* pscText);

void gui_update_used_fonts_markup();
void gui_set_used_fonts_background_color();

void gui_populate_unused_font_list();

#ifdef __cplusplus
}
#endif

#endif /* _GUI_H */
